Sections: [hide]
Welcome To The API User Guide
The Sendloop API makes integration of Sendloop with third party applications and websites possible. With the help of Sendloop API, you can get your data from Sendloop without visiting the Sendloop user interface.
You can gather your data from Sendloop API, populate and use it in your own systems. There are endless possibilities about things you can do with the Sendloop API. You can develop a desktop application, mobile application, websites, etc.
In this chapter, we will show you how to use Sendloop API and API function reference. If you have any questions, do not hesitate to contact us anytime.
Getting Started
To use the Sendloop API, you will need your API key. With your API key, you will be able to open an API session and then access to protected API commands such as getting the list of your subscriber lists.
In order to learn your API key, follow these steps:
- Login to your Sendloop account
- Click "Settings" link on the top right corner
- Click "API Settings" link on the right menu
Sendloop will show your API key on the screen:

Addition to your API key, you may need to set some more parameters during the API connection. These parameters may vary for each API command you are using. In following sections, we will explain you each available Sendloop API commands to you.
How To Start?
Most Sendloop API commands require user authentication. This is clearly marked in API command reference pages. For the beginning, get a session ID by executing "User.Login" API call.
Use the created session ID with your API key for connecting to other Sendloop API commands.
The API URL Pattern
The Sendloop API URL allows you to connect and get response from Sendloop. Substitute the subdomain "mashup" with your own account subdomain.
http://acme.sendloop.com/api/
Example API Connection
In this example, we will connect to Sendloop API and authenticate to get the session ID. The session ID will be required for executing any other API commands such as getting the list of subscribers.
Regardless of programming language used, the POST or GET data must be properly formatted. While all our examples are in shell with curl command, it can be easily performed with all programming languages such as PHP, Python, Ruby, .Net, C, Java, etc.
Request:
curl http://acme.sendloop.com/api/v2/Command=User.Login&
APIKey=239ce66c239kdb7d52f1216fda4bf3a23id392&Username=acmeuser&
Password=acmepass&ResponseFormat=XML
Response:
<?xml version="1.0" encoding="utf-8"?>
<response>
<Success><![CDATA[1]]></Success>
<ErrorCode>
<subnode_0><![CDATA[0]]></subnode_0>
</ErrorCode>
<SessionID><![CDATA[759ekrt4efgolvtnqifboi7b00]]></SessionID>
<UserInfo>
<Subdomain><![CDATA[acme]]></Subdomain>
<MemberSince><![CDATA[2008-01-15 15:26:52]]></MemberSince>
<FirstName><![CDATA[John]]></FirstName>
<LastName><![CDATA[Blair]]></LastName>
<Email><![CDATA[john@acme.com]]></Email>
<CompanyName><![CDATA[Acme Co.]]></CompanyName>
<Website><![CDATA[acme.com]]></Website>
<Street><![CDATA[Acme Street]]></Street>
<City><![CDATA[Acme City]]></City>
<State><![CDATA[--]]></State>
<Zip><![CDATA[20398]]></Zip>
<Country><![CDATA[US]]></Country>
<Phone><![CDATA[123456789]]></Phone>
<Fax><![CDATA[123456789]]></Fax>
<TimeZone><![CDATA[America/New York]]></TimeZone>
<APIKey><![CDATA[239ce66c239kdb7d52f1216fda4bf3a23id392]]></APIKey>
<Language><![CDATA[en]]></Language>
<LastActivityDateTime><![CDATA[2010-01-26 13:28:37]]></LastActivityDateTime>
</UserInfo>
</response>
As you can see above, API request and response data is easy to send and receive. The received data can be in XML or JSON. This can be set with "ResponseFormat" request parameter.
Sendloop API Commands
User Opeations
- User login
User.Login - User logout
User.Logout
Subscriber Operations
- List of subscribers
Subscribers.Get - Subscriber details
Subscriber.Get - Subscriber update
Subscriber.Update - Delete subscriber
Subscriber.Delete - Subscription
Subscriber.Subscribe - Unsubscription
Subscriber.Unsubscribe
List Operations
- List of subscriber lists
Lists.Get - Subscriber list details
List.Get
Campaign Operations
- List of campaigns
Campaigns.Get - Campaign details
Campaign.Get
Statistics and Reports
- Campaign bounces
Report.Campaign.Bounces - Campaign browser views
Report.Campaign.BrowserViews - Campaign link clicks
Report.Campaign.Clicks - Campaign forwards
Report.Campaign.Forwards - Campaign opens
Report.Campaign.Opens - Campaign overall statistics
Report.Campaign.Overall - Campaign unsubscriptions
Report.Campaign.Unsubscriptions - Subscriber list overall statistics
Report.List.Overall